aboutsummaryrefslogtreecommitdiffhomepage
path: root/scripts/bootstrap
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/bootstrap')
-rwxr-xr-xscripts/bootstrap/bootstrap.sh33
-rwxr-xr-xscripts/bootstrap/buildenv.sh2
-rwxr-xr-xscripts/bootstrap/compile.sh7
3 files changed, 25 insertions, 17 deletions
diff --git a/scripts/bootstrap/bootstrap.sh b/scripts/bootstrap/bootstrap.sh
index c656e15dd0..20f5bbabdb 100755
--- a/scripts/bootstrap/bootstrap.sh
+++ b/scripts/bootstrap/bootstrap.sh
@@ -45,24 +45,31 @@ else
fi
if [ -z "${BAZEL-}" ]; then
- function bazel_build() {
- bootstrap_build ${BAZEL_ARGS-} \
- --verbose_failures \
- --javacopt="-g -source ${JAVA_VERSION} -target ${JAVA_VERSION}" \
- "${EMBED_LABEL_ARG[@]}" \
- "${@}"
+ function run_bootstrapping_bazel() {
+ local command=$1
+ shift
+ run_bazel_jar $command \
+ ${BAZEL_ARGS-} --verbose_failures \
+ --javacopt="-g -source ${JAVA_VERSION} -target ${JAVA_VERSION}" "${@}"
}
else
- function bazel_build() {
- ${BAZEL} --bazelrc=${BAZELRC} ${BAZEL_DIR_STARTUP_OPTIONS} build \
- ${BAZEL_ARGS-} \
- --verbose_failures \
- --javacopt="-g -source ${JAVA_VERSION} -target ${JAVA_VERSION}" \
- "${EMBED_LABEL_ARG[@]}" \
- "${@}"
+ function run_bootstrapping_bazel() {
+ local command=$1
+ shift
+ ${BAZEL} --bazelrc=${BAZELRC} ${BAZEL_DIR_STARTUP_OPTIONS} $command \
+ ${BAZEL_ARGS-} --verbose_failures \
+ --javacopt="-g -source ${JAVA_VERSION} -target ${JAVA_VERSION}" "${@}"
}
fi
+function bazel_build() {
+ run_bootstrapping_bazel build "${EMBED_LABEL_ARG[@]}" "$@"
+}
+
+function get_bazel_bin_path() {
+ run_bootstrapping_bazel info "bazel-bin" || echo "bazel-bin"
+}
+
function md5_outputs() {
[ -n "${BAZEL_TEST_XTRACE:-}" ] && set +x # Avoid garbage in the output
# runfiles/MANIFEST & runfiles_manifest contain absolute path, ignore.
diff --git a/scripts/bootstrap/buildenv.sh b/scripts/bootstrap/buildenv.sh
index ebcf9429ac..4a946878c2 100755
--- a/scripts/bootstrap/buildenv.sh
+++ b/scripts/bootstrap/buildenv.sh
@@ -158,7 +158,7 @@ function fail() {
exitCode=1
fi
echo >&2
- echo "$@" >&2
+ echo "ERROR: $@" >&2
exit $exitCode
}
diff --git a/scripts/bootstrap/compile.sh b/scripts/bootstrap/compile.sh
index 77372f015b..c72b9f722e 100755
--- a/scripts/bootstrap/compile.sh
+++ b/scripts/bootstrap/compile.sh
@@ -302,8 +302,9 @@ else
cp tools/osx/xcode_locator_stub.sh ${ARCHIVE_DIR}/_embedded_binaries/xcode-locator
fi
-# bazel build using bootstrap version
-function bootstrap_build() {
+function run_bazel_jar() {
+ local command=$1
+ shift
"${JAVA_HOME}/bin/java" \
-XX:+HeapDumpOnOutOfMemoryError -Xverify:none -Dfile.encoding=ISO-8859-1 \
-XX:HeapDumpPath=${OUTPUT_DIR} \
@@ -319,7 +320,7 @@ function bootstrap_build() {
--nofatal_event_bus_exceptions \
${BAZEL_DIR_STARTUP_OPTIONS} \
${BAZEL_BOOTSTRAP_STARTUP_OPTIONS:-} \
- build \
+ $command \
--ignore_unsupported_sandboxing \
--startup_time=329 --extract_data_time=523 \
--rc_source=/dev/null --isatty=1 \